import{s as Qe,n as Ne,o as Re}from"../chunks/scheduler.25b97de1.js";import{S as Be,i as Ze,g as s,s as n,r as d,A as Ge,h as i,f as r,c as a,j as v,u as c,x as l,k as $,y as e,a as p,v as u,d as f,t as g,w as h}from"../chunks/index.d9030fc9.js";import{D as _}from"../chunks/Docstring.ffac8efa.js";import{H as Yt,E as Ke}from"../chunks/EditOnGithub.91d95064.js";function Xe(ye){let w,Ft,yt,Ct,S,Tt,I,we="This page lists all the utility functions the library provides for pipelines.",Lt,V,Fe="Most of those are only useful if you are studying the code of the models in the library.",Ht,W,Et,F,q,te,nt,Ce='Base interface for handling arguments for each <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a>.',Mt,C,j,ee,at,Te=`Handles arguments for zero-shot for text classification by turning each possible label into an NLI
premise/hypothesis pair.`,kt,P,J,re,ot,Le=`QuestionAnsweringPipeline requires the user to provide multiple arguments (i.e. question &amp; context) to be mapped to
internal <code>SquadExample</code>.`,ne,st,He=`QuestionAnsweringArgumentHandler manages all the possible to create a <code>SquadExample</code> from the command-line
supplied arguments.`,At,U,Ot,m,z,ae,it,Ee=`Base class for all the pipeline supported data format both for reading and writing. Supported data formats
currently includes:`,oe,pt,Me="<li>JSON</li> <li>CSV</li> <li>stdin/stdout (pipe)</li>",se,lt,ke=`<code>PipelineDataFormat</code> also includes some utilities to work with multi-columns like mapping from datasets columns to
pipelines keyword arguments through the <code>dataset_kwarg_1=dataset_column_1</code> format.`,ie,L,Q,pe,mt,Ae='Creates an instance of the right subclass of <a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a> depending on <code>format</code>.',le,H,N,me,dt,Oe='Save the provided data object with the representation for the current <a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',de,E,R,ce,ct,Se="Save the provided data object as a pickle-formatted binary data on the disk.",St,D,B,ue,ut,Ie="Support for pipelines using CSV data format.",fe,M,Z,ge,ft,Ve='Save the provided data object with the representation for the current <a href="/docs/transformers/main/en/internal/pipelines_utils#transformers.PipelineDataFormat">PipelineDataFormat</a>.',It,y,G,he,gt,We="Support for pipelines using JSON file format.",ve,k,K,$e,ht,qe="Save the provided data object in a json file.",Vt,x,X,be,vt,je="Read data from piped input to the python process. For multi columns data, columns should separated by",_e,$t,Je="If columns are provided, then the output will be a dictionary with {column_x: value_x}",xe,A,Y,Pe,bt,Ue="Print the data.",Wt,tt,qt,T,et,De,_t,ze='Raised by a <a href="/docs/transformers/main/en/main_classes/pipelines#transformers.Pipeline">Pipeline</a> when handling <strong>call</strong>.',jt,rt,Jt,wt,Ut;return S=new Yt({props:{title:"Utilities for pipelines",local:"utilities-for-pipelines",headingTag:"h1"}}),W=new Yt({props:{title:"Argument handling",local:"transformers.pipelines.ArgumentHandler",headingTag:"h2"}}),q=new _({props:{name:"class transformers.pipelines.ArgumentHandler",anchor:"transformers.pipelines.ArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L445"}}),j=new _({props:{name:"class transformers.pipelines.ZeroShotClassificationArgumentHandler",anchor:"transformers.pipelines.ZeroShotClassificationArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/zero_shot_classification.py#L14"}}),J=new _({props:{name:"class transformers.pipelines.QuestionAnsweringArgumentHandler",anchor:"transformers.pipelines.QuestionAnsweringArgumentHandler",parameters:[],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/question_answering.py#L150"}}),U=new Yt({props:{title:"Data format",local:"transformers.PipelineDataFormat",headingTag:"h2"}}),z=new _({props:{name:"class transformers.PipelineDataFormat",anchor:"transformers.PipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L455"}}),Q=new _({props:{name:"from_str",anchor:"transformers.PipelineDataFormat.from_str",parameters:[{name:"format",val:": str"},{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.from_str.format",description:`<strong>format</strong> (<code>str</code>) &#x2014;
The format of the desired pipeline. Acceptable values are <code>&quot;json&quot;</code>, <code>&quot;csv&quot;</code> or <code>&quot;pipe&quot;</code>.`,name:"format"},{anchor:"transformers.PipelineDataFormat.from_str.output_path",description:`<strong>output_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to save the outgoing data.`,name:"output_path"},{anchor:"transformers.PipelineDataFormat.from_str.input_path",description:`<strong>input_path</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Where to look for the input data.`,name:"input_path"},{anchor:"transformers.PipelineDataFormat.from_str.column",description:`<strong>column</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The column to read.`,name:"column"},{anchor:"transformers.PipelineDataFormat.from_str.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L532",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The proper data format.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/transformers/main/en/internal/pipelines_utils#transformers.PipelineDataFormat"
>PipelineDataFormat</a></p>
`}}),N=new _({props:{name:"save",anchor:"transformers.PipelineDataFormat.save",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L504"}}),R=new _({props:{name:"save_binary",anchor:"transformers.PipelineDataFormat.save_binary",parameters:[{name:"data",val:": typing.Union[dict, typing.List[dict]]"}],parametersDescription:[{anchor:"transformers.PipelineDataFormat.save_binary.data",description:"<strong>data</strong> (<code>dict</code> or list of <code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L514",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Path where the data has been saved.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>str</code></p>
`}}),B=new _({props:{name:"class transformers.CsvPipelineDataFormat",anchor:"transformers.CsvPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.CsvPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.CsvPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.CsvPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L568"}}),Z=new _({props:{name:"save",anchor:"transformers.CsvPipelineDataFormat.save",parameters:[{name:"data",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.CsvPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>List[dict]</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L598"}}),G=new _({props:{name:"class transformers.JsonPipelineDataFormat",anchor:"transformers.JsonPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:" = False"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.JsonPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.JsonPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.JsonPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L612"}}),K=new _({props:{name:"save",anchor:"transformers.JsonPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.JsonPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L643"}}),X=new _({props:{name:"class transformers.PipedPipelineDataFormat",anchor:"transformers.PipedPipelineDataFormat",parameters:[{name:"output_path",val:": typing.Optional[str]"},{name:"input_path",val:": typing.Optional[str]"},{name:"column",val:": typing.Optional[str]"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.output_path",description:"<strong>output_path</strong> (<code>str</code>) &#x2014; Where to save the outgoing data.",name:"output_path"},{anchor:"transformers.PipedPipelineDataFormat.input_path",description:"<strong>input_path</strong> (<code>str</code>) &#x2014; Where to look for the input data.",name:"input_path"},{anchor:"transformers.PipedPipelineDataFormat.column",description:"<strong>column</strong> (<code>str</code>) &#x2014; The column to read.",name:"column"},{anchor:"transformers.PipedPipelineDataFormat.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to overwrite the <code>output_path</code>.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L654"}}),Y=new _({props:{name:"save",anchor:"transformers.PipedPipelineDataFormat.save",parameters:[{name:"data",val:": dict"}],parametersDescription:[{anchor:"transformers.PipedPipelineDataFormat.save.data",description:"<strong>data</strong> (<code>dict</code>) &#x2014; The data to store.",name:"data"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L683"}}),tt=new Yt({props:{title:"Utilities",local:"transformers.pipelines.PipelineException",headingTag:"h2"}}),et=new _({props:{name:"class transformers.pipelines.PipelineException",anchor:"transformers.pipelines.PipelineException",parameters:[{name:"task",val:": str"},{name:"model",val:": str"},{name:"reason",val:": str"}],parametersDescription:[{anchor:"transformers.pipelines.PipelineException.task",description:"<strong>task</strong> (<code>str</code>) &#x2014; The task of the pipeline.",name:"task"},{anchor:"transformers.pipelines.PipelineException.model",description:"<strong>model</strong> (<code>str</code>) &#x2014; The model used by the pipeline.",name:"model"},{anchor:"transformers.pipelines.PipelineException.reason",description:"<strong>reason</strong> (<code>str</code>) &#x2014; The error message to display.",name:"reason"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/pipelines/base.py#L428"}}),rt=new Ke({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/internal/pipelines_utils.md"}}),{c(){w=s("meta"),Ft=n(),yt=s("p"),Ct=n(),d(S.$$.fragment),Tt=n(),I=s("p"),I.textContent=we,Lt=n(),V=s("p"),V.textContent=Fe,Ht=n(),d(W.$$.fragment),Et=n(),F=s("div"),d(q.$$.fragment),te=n(),nt=s("p"),nt.innerHTML=Ce,Mt=n(),C=s("div"),d(j.$$.fragment),ee=n(),at=s("p"),at.textContent=Te,kt=n(),P=s("div"),d(J.$$.fragment),re=n(),ot=s("p"),ot.innerHTML=Le,ne=n(),st=s("p"),st.innerHTML=He,At=n(),d(U.$$.fragment),Ot=n(),m=s("div"),d(z.$$.fragment),ae=n(),it=s("p"),it.textContent=Ee,oe=n(),pt=s("ul"),pt.innerHTML=Me,se=n(),lt=s("p"),lt.innerHTML=ke,ie=n(),L=s("div"),d(Q.$$.fragment),pe=n(),mt=s("p"),mt.innerHTML=Ae,le=n(),H=s("div"),d(N.$$.fragment),me=n(),dt=s("p"),dt.innerHTML=Oe,de=n(),E=s("div"),d(R.$$.fragment),ce=n(),ct=s("p"),ct.textContent=Se,St=n(),D=s("div"),d(B.$$.fragment),ue=n(),ut=s("p"),ut.textContent=Ie,fe=n(),M=s("div"),d(Z.$$.fragment),ge=n(),ft=s("p"),ft.innerHTML=Ve,It=n(),y=s("div"),d(G.$$.fragment),he=n(),gt=s("p"),gt.textContent=We,ve=n(),k=s("div"),d(K.$$.fragment),$e=n(),ht=s("p"),ht.textContent=qe,Vt=n(),x=s("div"),d(X.$$.fragment),be=n(),vt=s("p"),vt.textContent=je,_e=n(),$t=s("p"),$t.textContent=Je,xe=n(),A=s("div"),d(Y.$$.fragment),Pe=n(),bt=s("p"),bt.textContent=Ue,Wt=n(),d(tt.$$.fragment),qt=n(),T=s("div"),d(et.$$.fragment),De=n(),_t=s("p"),_t.innerHTML=ze,jt=n(),d(rt.$$.fragment),Jt=n(),wt=s("p"),this.h()},l(t){const o=Ge("svelte-u9bgzb",document.head);w=i(o,"META",{name:!0,content:!0}),o.forEach(r),Ft=a(t),yt=i(t,"P",{}),v(yt).forEach(r),Ct=a(t),c(S.$$.fragment,t),Tt=a(t),I=i(t,"P",{"data-svelte-h":!0}),l(I)!=="svelte-wr9t4b"&&(I.textContent=we),Lt=a(t),V=i(t,"P",{"data-svelte-h":!0}),l(V)!=="svelte-1ui7w53"&&(V.textContent=Fe),Ht=a(t),c(W.$$.fragment,t),Et=a(t),F=i(t,"DIV",{class:!0});var zt=v(F);c(q.$$.fragment,zt),te=a(zt),nt=i(zt,"P",{"data-svelte-h":!0}),l(nt)!=="svelte-1tvsyzq"&&(nt.innerHTML=Ce),zt.forEach(r),Mt=a(t),C=i(t,"DIV",{class:!0});var Qt=v(C);c(j.$$.fragment,Qt),ee=a(Qt),at=i(Qt,"P",{"data-svelte-h":!0}),l(at)!=="svelte-1hjf3sf"&&(at.textContent=Te),Qt.forEach(r),kt=a(t),P=i(t,"DIV",{class:!0});var xt=v(P);c(J.$$.fragment,xt),re=a(xt),ot=i(xt,"P",{"data-svelte-h":!0}),l(ot)!=="svelte-12i18ng"&&(ot.innerHTML=Le),ne=a(xt),st=i(xt,"P",{"data-svelte-h":!0}),l(st)!=="svelte-z2nze2"&&(st.innerHTML=He),xt.forEach(r),At=a(t),c(U.$$.fragment,t),Ot=a(t),m=i(t,"DIV",{class:!0});var b=v(m);c(z.$$.fragment,b),ae=a(b),it=i(b,"P",{"data-svelte-h":!0}),l(it)!=="svelte-1mb1edh"&&(it.textContent=Ee),oe=a(b),pt=i(b,"UL",{"data-svelte-h":!0}),l(pt)!=="svelte-1uf4n4e"&&(pt.innerHTML=Me),se=a(b),lt=i(b,"P",{"data-svelte-h":!0}),l(lt)!=="svelte-u9lis0"&&(lt.innerHTML=ke),ie=a(b),L=i(b,"DIV",{class:!0});var Nt=v(L);c(Q.$$.fragment,Nt),pe=a(Nt),mt=i(Nt,"P",{"data-svelte-h":!0}),l(mt)!=="svelte-iesbza"&&(mt.innerHTML=Ae),Nt.forEach(r),le=a(b),H=i(b,"DIV",{class:!0});var Rt=v(H);c(N.$$.fragment,Rt),me=a(Rt),dt=i(Rt,"P",{"data-svelte-h":!0}),l(dt)!=="svelte-1u97f0u"&&(dt.innerHTML=Oe),Rt.forEach(r),de=a(b),E=i(b,"DIV",{class:!0});var Bt=v(E);c(R.$$.fragment,Bt),ce=a(Bt),ct=i(Bt,"P",{"data-svelte-h":!0}),l(ct)!=="svelte-i36752"&&(ct.textContent=Se),Bt.forEach(r),b.forEach(r),St=a(t),D=i(t,"DIV",{class:!0});var Pt=v(D);c(B.$$.fragment,Pt),ue=a(Pt),ut=i(Pt,"P",{"data-svelte-h":!0}),l(ut)!=="svelte-jm6p0u"&&(ut.textContent=Ie),fe=a(Pt),M=i(Pt,"DIV",{class:!0});var Zt=v(M);c(Z.$$.fragment,Zt),ge=a(Zt),ft=i(Zt,"P",{"data-svelte-h":!0}),l(ft)!=="svelte-1u97f0u"&&(ft.innerHTML=Ve),Zt.forEach(r),Pt.forEach(r),It=a(t),y=i(t,"DIV",{class:!0});var Dt=v(y);c(G.$$.fragment,Dt),he=a(Dt),gt=i(Dt,"P",{"data-svelte-h":!0}),l(gt)!=="svelte-jpmp8k"&&(gt.textContent=We),ve=a(Dt),k=i(Dt,"DIV",{class:!0});var Gt=v(k);c(K.$$.fragment,Gt),$e=a(Gt),ht=i(Gt,"P",{"data-svelte-h":!0}),l(ht)!=="svelte-1ly8fsk"&&(ht.textContent=qe),Gt.forEach(r),Dt.forEach(r),Vt=a(t),x=i(t,"DIV",{class:!0});var O=v(x);c(X.$$.fragment,O),be=a(O),vt=i(O,"P",{"data-svelte-h":!0}),l(vt)!=="svelte-vxtild"&&(vt.textContent=je),_e=a(O),$t=i(O,"P",{"data-svelte-h":!0}),l($t)!=="svelte-83moxo"&&($t.textContent=Je),xe=a(O),A=i(O,"DIV",{class:!0});var Kt=v(A);c(Y.$$.fragment,Kt),Pe=a(Kt),bt=i(Kt,"P",{"data-svelte-h":!0}),l(bt)!=="svelte-v6konq"&&(bt.textContent=Ue),Kt.forEach(r),O.forEach(r),Wt=a(t),c(tt.$$.fragment,t),qt=a(t),T=i(t,"DIV",{class:!0});var Xt=v(T);c(et.$$.fragment,Xt),De=a(Xt),_t=i(Xt,"P",{"data-svelte-h":!0}),l(_t)!=="svelte-43ud0a"&&(_t.innerHTML=ze),Xt.forEach(r),jt=a(t),c(rt.$$.fragment,t),Jt=a(t),wt=i(t,"P",{}),v(wt).forEach(r),this.h()},h(){$(w,"name","hf:doc:metadata"),$(w,"content",Ye),$(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,o){e(document.head,w),p(t,Ft,o),p(t,yt,o),p(t,Ct,o),u(S,t,o),p(t,Tt,o),p(t,I,o),p(t,Lt,o),p(t,V,o),p(t,Ht,o),u(W,t,o),p(t,Et,o),p(t,F,o),u(q,F,null),e(F,te),e(F,nt),p(t,Mt,o),p(t,C,o),u(j,C,null),e(C,ee),e(C,at),p(t,kt,o),p(t,P,o),u(J,P,null),e(P,re),e(P,ot),e(P,ne),e(P,st),p(t,At,o),u(U,t,o),p(t,Ot,o),p(t,m,o),u(z,m,null),e(m,ae),e(m,it),e(m,oe),e(m,pt),e(m,se),e(m,lt),e(m,ie),e(m,L),u(Q,L,null),e(L,pe),e(L,mt),e(m,le),e(m,H),u(N,H,null),e(H,me),e(H,dt),e(m,de),e(m,E),u(R,E,null),e(E,ce),e(E,ct),p(t,St,o),p(t,D,o),u(B,D,null),e(D,ue),e(D,ut),e(D,fe),e(D,M),u(Z,M,null),e(M,ge),e(M,ft),p(t,It,o),p(t,y,o),u(G,y,null),e(y,he),e(y,gt),e(y,ve),e(y,k),u(K,k,null),e(k,$e),e(k,ht),p(t,Vt,o),p(t,x,o),u(X,x,null),e(x,be),e(x,vt),e(x,_e),e(x,$t),e(x,xe),e(x,A),u(Y,A,null),e(A,Pe),e(A,bt),p(t,Wt,o),u(tt,t,o),p(t,qt,o),p(t,T,o),u(et,T,null),e(T,De),e(T,_t),p(t,jt,o),u(rt,t,o),p(t,Jt,o),p(t,wt,o),Ut=!0},p:Ne,i(t){Ut||(f(S.$$.fragment,t),f(W.$$.fragment,t),f(q.$$.fragment,t),f(j.$$.fragment,t),f(J.$$.fragment,t),f(U.$$.fragment,t),f(z.$$.fragment,t),f(Q.$$.fragment,t),f(N.$$.fragment,t),f(R.$$.fragment,t),f(B.$$.fragment,t),f(Z.$$.fragment,t),f(G.$$.fragment,t),f(K.$$.fragment,t),f(X.$$.fragment,t),f(Y.$$.fragment,t),f(tt.$$.fragment,t),f(et.$$.fragment,t),f(rt.$$.fragment,t),Ut=!0)},o(t){g(S.$$.fragment,t),g(W.$$.fragment,t),g(q.$$.fragment,t),g(j.$$.fragment,t),g(J.$$.fragment,t),g(U.$$.fragment,t),g(z.$$.fragment,t),g(Q.$$.fragment,t),g(N.$$.fragment,t),g(R.$$.fragment,t),g(B.$$.fragment,t),g(Z.$$.fragment,t),g(G.$$.fragment,t),g(K.$$.fragment,t),g(X.$$.fragment,t),g(Y.$$.fragment,t),g(tt.$$.fragment,t),g(et.$$.fragment,t),g(rt.$$.fragment,t),Ut=!1},d(t){t&&(r(Ft),r(yt),r(Ct),r(Tt),r(I),r(Lt),r(V),r(Ht),r(Et),r(F),r(Mt),r(C),r(kt),r(P),r(At),r(Ot),r(m),r(St),r(D),r(It),r(y),r(Vt),r(x),r(Wt),r(qt),r(T),r(jt),r(Jt),r(wt)),r(w),h(S,t),h(W,t),h(q),h(j),h(J),h(U,t),h(z),h(Q),h(N),h(R),h(B),h(Z),h(G),h(K),h(X),h(Y),h(tt,t),h(et),h(rt,t)}}}const Ye='{"title":"Utilities for pipelines","local":"utilities-for-pipelines","sections":[{"title":"Argument handling","local":"transformers.pipelines.ArgumentHandler","sections":[],"depth":2},{"title":"Data format","local":"transformers.PipelineDataFormat","sections":[],"depth":2},{"title":"Utilities","local":"transformers.pipelines.PipelineException","sections":[],"depth":2}],"depth":1}';function tr(ye){return Re(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class or extends Be{constructor(w){super(),Ze(this,w,tr,Xe,Qe,{})}}export{or as component};
