import{s as ne,n as oe,o as fe}from"../chunks/scheduler.25b97de1.js";import{S as me,i as pe,g as i,s as r,r as q,A as ue,h as n,f as l,c as a,j as re,u as G,x as o,k as ae,y as ce,a as s,v as J,d as N,t as R,w as X}from"../chunks/index.d9030fc9.js";import{H as ie,E as he}from"../chunks/EditOnGithub.91d95064.js";function _e(B){let f,M,C,H,m,L,p,D="🤗 Transformers 是一个专为以下用户群体构建的库：",y,u,Q="<li>寻求使用、研究或扩展大规模 Transformers 模型的机器学习研究人员和教育者。</li> <li>希望微调这些模型或在生产环境中使用它们（或两者兼而有之）的实际操作者。</li> <li>只想下载预训练模型并将其用于解决给定机器学习任务的工程师。</li>",b,c,V="Transformers 设计时有两个主要目标：",z,h,W='<li><p>尽可能简单快速地使用：</p> <ul><li>我们尽可能地限制用户能接触的抽象层，实际上几乎没有抽象。用户只需学习三个标准类即可使用每个模型：<a href="main_classes/configuration">configuration</a>、<a href="main_classes/model">models</a> 和一个预处理类（用于 NLP 的 <a href="main_classes/tokenizer">tokenizer</a>，用于视觉的 <a href="main_classes/image_processor">image processor</a>，用于音频的 <a href="main_classes/feature_extractor">feature extractor</a>，以及用于多模态输入的 <a href="main_classes/processors">processor</a>）。</li> <li>所有这些类都可以通过一个通用的 <code>from_pretrained()</code> 方法从预训练实例中简单统一地初始化，该方法会从提供在 <a href="https://huggingface.co/models" rel="nofollow">Hugging Face Hub</a> 上的预训练检查点（如果需要的话）下载、缓存和加载相关类实例及相关数据（配置的超参数、分词器的词汇表和模型的权重）。</li> <li>在这三个基本类之上，该库提供了两种 API：<a href="/docs/transformers/main/zh/main_classes/pipelines#transformers.pipeline">pipeline()</a> 用于快速在给定任务上使用模型进行推断，以及 <code>Trainer</code> 用于快速训练或微调 PyTorch 模型（所有 TensorFlow 模型与 <code>Keras.fit</code> 兼容）。</li> <li>因此，Transformers 不是神经网络的模块化工具箱。如果要基于 Transformers 扩展或搭建新项目，请使用常规的 Python、PyTorch、TensorFlow、Keras 模块，并从 Transformers 的基类继承以重用模型加载和保存等功能。如果想了解更多有关我们的模型代码的设计理念，请查看我们的<a href="https://huggingface.co/blog/transformers-design-philosophy" rel="nofollow">重复自己</a>博文。</li></ul></li> <li><p>提供与原始模型性能尽可能接近的最新模型：</p> <ul><li>我们为每种架构提供至少一个示例，复现了该架构官方作者提供的结果。</li> <li>代码通常尽可能接近原始代码库，这意味着某些 PyTorch 代码可能不够<em>pytorchic</em>，因为它是转换后的 TensorFlow 代码，反之亦然。</li></ul></li>',k,_,Y="其他几个目标：",F,d,Z="<li><p>尽可能一致地公开模型的内部：</p> <ul><li>我们使用单一 API 提供对完整隐藏状态和注意力权重的访问。</li> <li>预处理类和基本模型 API 标准化，便于在不同模型之间轻松切换。</li></ul></li> <li><p>结合主观选择的有前途的工具进行模型微调和调查：</p> <ul><li>简单一致的方法来向词汇表和嵌入中添加新标记以进行微调。</li> <li>简单的方法来屏蔽和修剪 Transformer 头部。</li></ul></li> <li><p>轻松在 PyTorch、TensorFlow 2.0 和 Flax 之间切换，允许使用一个框架进行训练并使用另一个进行推断。</p></li>",A,x,E,T,ee="该库围绕每个模型的三类类构建：",U,g,te='<li><strong>模型类</strong> 可以是 PyTorch 模型（<a href="https://pytorch.org/docs/stable/nn.html#torch.nn.Module" rel="nofollow">torch.nn.Module</a>）、Keras 模型（<a href="https://www.tensorflow.org/api_docs/python/tf/keras/Model" rel="nofollow">tf.keras.Model</a>）或 JAX/Flax 模型（<a href="https://flax.readthedocs.io/en/latest/api_reference/flax.linen/module.html" rel="nofollow">flax.linen.Module</a>），这些模型可以使用库中提供的预训练权重。</li> <li><strong>配置类</strong> 存储构建模型所需的超参数（如层数和隐藏大小）。通常情况下，如果您使用不进行任何修改的预训练模型，则创建模型将自动处理配置的实例化（配置是模型的一部分）。</li> <li><strong>预处理类</strong> 将原始数据转换为模型可接受的格式。一个 <a href="main_classes/tokenizer">tokenizer</a> 存储每个模型的词汇表，并提供编码和解码字符串为要馈送到模型的令牌嵌入索引列表的方法。<a href="main_classes/image_processor">Image processors</a> 预处理视觉输入，<a href="main_classes/feature_extractor">feature extractors</a> 预处理音频输入，而 <a href="main_classes/processors">processor</a> 则处理多模态输入。</li>',I,v,le="所有这些类都可以从预训练实例中实例化、本地保存，并通过以下三种方法与 Hub 共享：",K,$,se='<li><code>from_pretrained()</code> 允许您从库自身提供的预训练版本（支持的模型可在 <a href="https://huggingface.co/models" rel="nofollow">Model Hub</a> 上找到）或用户本地（或服务器上）存储的版本实例化模型、配置和预处理类。</li> <li><code>save_pretrained()</code> 允许您本地保存模型、配置和预处理类，以便可以使用 <code>from_pretrained()</code> 重新加载。</li> <li><code>push_to_hub()</code> 允许您将模型、配置和预处理类共享到 Hub，以便所有人都可以轻松访问。</li>',S,w,O,P,j;return m=new ie({props:{title:"Transformers 的设计理念",local:"transformers-的设计理念",headingTag:"h1"}}),x=new ie({props:{title:"主要概念",local:"主要概念",headingTag:"h2"}}),w=new he({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/zh/philosophy.md"}}),{c(){f=i("meta"),M=r(),C=i("p"),H=r(),q(m.$$.fragment),L=r(),p=i("p"),p.textContent=D,y=r(),u=i("ul"),u.innerHTML=Q,b=r(),c=i("p"),c.textContent=V,z=r(),h=i("ol"),h.innerHTML=W,k=r(),_=i("p"),_.textContent=Y,F=r(),d=i("ul"),d.innerHTML=Z,A=r(),q(x.$$.fragment),E=r(),T=i("p"),T.textContent=ee,U=r(),g=i("ul"),g.innerHTML=te,I=r(),v=i("p"),v.textContent=le,K=r(),$=i("ul"),$.innerHTML=se,S=r(),q(w.$$.fragment),O=r(),P=i("p"),this.h()},l(e){const t=ue("svelte-u9bgzb",document.head);f=n(t,"META",{name:!0,content:!0}),t.forEach(l),M=a(e),C=n(e,"P",{}),re(C).forEach(l),H=a(e),G(m.$$.fragment,e),L=a(e),p=n(e,"P",{"data-svelte-h":!0}),o(p)!=="svelte-13ap7ii"&&(p.textContent=D),y=a(e),u=n(e,"UL",{"data-svelte-h":!0}),o(u)!=="svelte-1i79vmi"&&(u.innerHTML=Q),b=a(e),c=n(e,"P",{"data-svelte-h":!0}),o(c)!=="svelte-u2gegz"&&(c.textContent=V),z=a(e),h=n(e,"OL",{"data-svelte-h":!0}),o(h)!=="svelte-c6w8r"&&(h.innerHTML=W),k=a(e),_=n(e,"P",{"data-svelte-h":!0}),o(_)!=="svelte-17uba39"&&(_.textContent=Y),F=a(e),d=n(e,"UL",{"data-svelte-h":!0}),o(d)!=="svelte-11rn4wd"&&(d.innerHTML=Z),A=a(e),G(x.$$.fragment,e),E=a(e),T=n(e,"P",{"data-svelte-h":!0}),o(T)!=="svelte-l2e0t"&&(T.textContent=ee),U=a(e),g=n(e,"UL",{"data-svelte-h":!0}),o(g)!=="svelte-1mdxomy"&&(g.innerHTML=te),I=a(e),v=n(e,"P",{"data-svelte-h":!0}),o(v)!=="svelte-1996l5u"&&(v.textContent=le),K=a(e),$=n(e,"UL",{"data-svelte-h":!0}),o($)!=="svelte-1hipn59"&&($.innerHTML=se),S=a(e),G(w.$$.fragment,e),O=a(e),P=n(e,"P",{}),re(P).forEach(l),this.h()},h(){ae(f,"name","hf:doc:metadata"),ae(f,"content",de)},m(e,t){ce(document.head,f),s(e,M,t),s(e,C,t),s(e,H,t),J(m,e,t),s(e,L,t),s(e,p,t),s(e,y,t),s(e,u,t),s(e,b,t),s(e,c,t),s(e,z,t),s(e,h,t),s(e,k,t),s(e,_,t),s(e,F,t),s(e,d,t),s(e,A,t),J(x,e,t),s(e,E,t),s(e,T,t),s(e,U,t),s(e,g,t),s(e,I,t),s(e,v,t),s(e,K,t),s(e,$,t),s(e,S,t),J(w,e,t),s(e,O,t),s(e,P,t),j=!0},p:oe,i(e){j||(N(m.$$.fragment,e),N(x.$$.fragment,e),N(w.$$.fragment,e),j=!0)},o(e){R(m.$$.fragment,e),R(x.$$.fragment,e),R(w.$$.fragment,e),j=!1},d(e){e&&(l(M),l(C),l(H),l(L),l(p),l(y),l(u),l(b),l(c),l(z),l(h),l(k),l(_),l(F),l(d),l(A),l(E),l(T),l(U),l(g),l(I),l(v),l(K),l($),l(S),l(O),l(P)),l(f),X(m,e),X(x,e),X(w,e)}}}const de='{"title":"Transformers 的设计理念","local":"transformers-的设计理念","sections":[{"title":"主要概念","local":"主要概念","sections":[],"depth":2}],"depth":1}';function xe(B){return fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $e extends me{constructor(f){super(),pe(this,f,xe,_e,ne,{})}}export{$e as component};
